<?php

namespace Onestartup\Crm;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Yajra\Datatables\Datatables;
use Onestartup\CrmForms\Model\Interested;
use Onestartup\Crm\Tracing;
use Onestartup\Crm\DataTables\InterestedDataTable;


class AdminCrmController extends Controller
{

    public function list(InterestedDataTable $dataTable)
    {
        return $dataTable->render('crm::list');
    	//return view('crm::list');
    }

    public function datatable()
    {
    	$interesteds = Interested::select(['id','name','email', 'phone','landing','origin','created_at'])->orderBy('id', 'desc');

        return Datatables::of($interesteds)
        ->addColumn('details_url', function ($interested) {
            return "<a href='".route('crm.show',$interested->id)."'>Ver Detalle</a>";
        })
        ->rawColumns(['details_url'])
        ->make();
    }

    public function show($id)
    {
        $interested = Interested::find($id);
        $interested_detail = $interested->interested_detail;
        return view('crm::show')
            ->with('interested_detail', $interested_detail)
            ->with('interested', $interested);
    }

    public function storeTracing(Request $request, $id)
    {
        $interested = Interested::find($id);
        $comment = new Tracing($request->all());
        $comment->user_id = \Auth::user()->id;

        $interested->tracings()->save($comment);

        return redirect()
            ->back()
            ->with('message_success', 'Información agregada correctamente');
    }
}
